## MariaDB
#jdbc:
#  url: "jdbc:mariadb://localhost:3306/asqatasun"
#  # url_query_option is only for MariaDB / Mysql
#  url_query_options: "?useSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=UTF-8"
#  user: "asqatasunDatabaseUserLogin"
#  password: "asqatasunDatabaseUserP4ssword"

## PostgreSQL
## TODO

# HsqlDB file
#jdbc:
#  url: "jdbc:hsqldb:file:/tmp/asqatasundb"
#  # SA (system administrator) + empty password is the default credential for HsqlDB
#  user: "SA"
#  password:

# HsqlDB memory
jdbc:
  url: "jdbc:hsqldb:mem:asqatasun"
  # SA (system administrator) + empty password is the default credential for HsqlDB
  user: "SA"
  password:

jpa:
  showSql: false

hibernate:
  cache:
    use_second_level_cache: true
    use_query_cache: true

webdriver:
  firefox:
    bin: "/opt/firefox/firefox"

spring:
  profiles:
    active: "webapp"
  jpa:
    open-in-view: true

management:
  server:
    port: 8090
  health:
    db:
      enabled: true
  endpoints:
    web:
      exposure:
        include: '*'
  metrics:
    enable:
      jvm: true
      process: true
      system: true
      jdbc: true
      logback: true

app:
  logging:
    path: "/tmp"
  version: "@project.version@"
  users:
    auth:
      -  name: asqatasun
         password: bou
  engine:
    maxConcurrentSize:
      page: 3
    persistence:
      packagesToScan: "org.asqatasun.entity,org.asqatasun.webapp.entity"
      useComboPool: true
    loader:
      politenessDelay: 100
      proxy:
        port:
        host:
      selenium:
        headless: true

# OpenAPI / Swagger
springdoc:
  packages-to-scan: org.asqatasun.web
  swagger-ui:
    # Sort by: "method" (post, get, delete...) or "alpha" (alphabetic order)
    operationsSorter: alpha
    tagsSorter: alpha

